(DEPRECATED) Get a specific purchase of an account
curl --request GET \
--url https://api.togai.com/purchases/{purchase_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.togai.com/purchases/{purchase_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.togai.com/purchases/{purchase_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.togai.com/purchases/{purchase_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.togai.com/purchases/{purchase_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.togai.com/purchases/{purchase_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.togai.com/purchases/{purchase_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "purchase.20txx14r0m8.VKxaB",
"accountId": "c102",
"pricePlanId": "pp.20txw0FrqjQ.byM8V",
"pricePlanVersion": 1,
"createdAt": "2023-07-31T15:49:25.007848Z",
"type": "ENTITLEMENT_GRANT",
"status": "SUCCESS",
"purchasePlan": {
"billingEntitlementRateCards": [
{
"featureId": "feature.20txvOAhiIS.m3X3d",
"featureConfigs": [
{
"effectiveUntil": "P20D",
"featureCreditLimit": 100,
"effectiveFrom": "PT0S"
}
],
"invoiceTiming": "IN_ADVANCE",
"ratePlan": {
"pricingModel": "TIERED",
"slabs": [
{
"order": 1,
"startAfter": 0,
"priceType": "PER_UNIT",
"slabConfig": {}
}
]
},
"rateValues": [
{
"currency": "USD",
"slabRates": [
{
"order": 1,
"rate": 1
}
]
}
],
"displayName": "feature1"
}
],
"supportedCurrencies": [
"USD"
],
"activeCurrencies": [
"USD"
]
},
"features": [
{
"id": "feature.20txvOAhiIS.m3X3d",
"name": "feature1",
"creditsGranted": 120,
"creditsAvailable": 120,
"updatedAt": "2023-07-31T15:47:52.570011Z",
"effectiveFrom": "2023-07-31T15:51:34.308371Z",
"effectiveUntil": "2023-08-20T15:51:34.308371Z"
}
],
"rateCardQuantities": {
"feature.20txvOAhiIS.m3X3d": 1.2
},
"updatedAt": "2023-07-31T15:51:35.093598Z",
"price": 120,
"invoiceId": "inv.20txx3jeQU4.nlMQh",
"invoiceCurrency": "USD"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}(Deprecated) Purchases
(DEPRECATED) Get a specific purchase of an account
Get purchase information of an account for a specific plan using account_id and price_plan_id
GET
/
purchases
/
{purchase_id}
(DEPRECATED) Get a specific purchase of an account
curl --request GET \
--url https://api.togai.com/purchases/{purchase_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.togai.com/purchases/{purchase_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.togai.com/purchases/{purchase_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.togai.com/purchases/{purchase_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.togai.com/purchases/{purchase_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.togai.com/purchases/{purchase_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.togai.com/purchases/{purchase_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "purchase.20txx14r0m8.VKxaB",
"accountId": "c102",
"pricePlanId": "pp.20txw0FrqjQ.byM8V",
"pricePlanVersion": 1,
"createdAt": "2023-07-31T15:49:25.007848Z",
"type": "ENTITLEMENT_GRANT",
"status": "SUCCESS",
"purchasePlan": {
"billingEntitlementRateCards": [
{
"featureId": "feature.20txvOAhiIS.m3X3d",
"featureConfigs": [
{
"effectiveUntil": "P20D",
"featureCreditLimit": 100,
"effectiveFrom": "PT0S"
}
],
"invoiceTiming": "IN_ADVANCE",
"ratePlan": {
"pricingModel": "TIERED",
"slabs": [
{
"order": 1,
"startAfter": 0,
"priceType": "PER_UNIT",
"slabConfig": {}
}
]
},
"rateValues": [
{
"currency": "USD",
"slabRates": [
{
"order": 1,
"rate": 1
}
]
}
],
"displayName": "feature1"
}
],
"supportedCurrencies": [
"USD"
],
"activeCurrencies": [
"USD"
]
},
"features": [
{
"id": "feature.20txvOAhiIS.m3X3d",
"name": "feature1",
"creditsGranted": 120,
"creditsAvailable": 120,
"updatedAt": "2023-07-31T15:47:52.570011Z",
"effectiveFrom": "2023-07-31T15:51:34.308371Z",
"effectiveUntil": "2023-08-20T15:51:34.308371Z"
}
],
"rateCardQuantities": {
"feature.20txvOAhiIS.m3X3d": 1.2
},
"updatedAt": "2023-07-31T15:51:35.093598Z",
"price": 120,
"invoiceId": "inv.20txx3jeQU4.nlMQh",
"invoiceCurrency": "USD"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}Authorizations
Path Parameters
Response
Response for getting a specific purchase detail of an account
Represents a Purchase
